<?php
// $Header: /cvsroot/phptsmadmin/phpTSMadmin/lib/config_custom.php,v 1.3 2009/04/19 05:32:12 wurley Exp $

/**
 * Custom Configuration processing and defaults.
 *
 * @author The phpTSMadmin development team
 * @package phpTSMadmin
 */

/** Available Commands
 */
$config->configDefinition('command','devclassinfo',array(
	'summary'=>'Device Class Info',
	'desc'=>'This will show detailed information on your devclasses.',
	'default'=>'devclass.info'));
$config->configDefinition('command','help',array(
	'summary'=>'Help',
	'desc'=>'Help Pages',
	'default'=>'help'));
$config->configDefinition('command','libraryinfo',array(
	'summary'=>'Library Info',
	'desc'=>'Information on Automated Tape Libraries.',
	'default'=>'library.info'));
$config->configDefinition('command','nodedetail',array(
	'summary'=>'Node Detail',
	'desc'=>'Detail of Node Storage Usage.',
	'default'=>'node.detail'));
$config->configDefinition('command','nodeoccupancy',array(
	'summary'=>'Node Occupancy',
	'desc'=>'Summary of Node Occupancy.',
	'default'=>'node.occupancy'));
$config->configDefinition('command','nodesummary',array(
	'summary'=>'Node Summary',
	'desc'=>'Summary of Node activities.',
	'default'=>'node.summary'));
$config->configDefinition('command','nodethruput',array(
	'summary'=>'Node Traffic',
	'desc'=>'This will show recent node traffic.',
	'default'=>'node.thruput'));
$config->configDefinition('command','schedulegantt',array(
	'summary'=>'Schedule Gantt',
	'desc'=>'Gantt view of todays schedules.',
	'default'=>'schedule.gantt'));
$config->configDefinition('command','summarygantt',array(
	'summary'=>'Activity Summary Gantt',
	'desc'=>'Gantt view of todays activities.',
	'default'=>'summary.gantt'));
$config->configDefinition('command','serverdb',array(
	'summary'=>'Server DB Information',
	'desc'=>'Database Information for TSM Server.',
	'default'=>'server.db'));
$config->configDefinition('command','serverstats',array(
	'summary'=>'Server Stats',
	'desc'=>'TSM Server Performance Stats.',
	'default'=>'server.stats'));
$config->configDefinition('command','volumeinfo',array(
	'summary'=>'Volume Status',
	'desc'=>'Status Information on Sequential Volumes.',
	'default'=>'volume.info'));
$config->configDefinition('command','volumeinventory',array(
	'summary'=>'Volume Inventory',
	'desc'=>'Information on Volumes.',
	'default'=>'volume.inventory'));

$config->configDefinition('lib','jpgraph',array(
	'desc'=>'Path to JPGraph',
	'default'=>LIBDIR.'JpGraph'));
$config->configDefinition('image','path',array(
	'desc'=>'Path to generated images',
	'default'=>HTDOCDIR.'tmp'));
$config->configDefinition('image','pathurl',array(
	'desc'=>'URL Path to generated images',
	'default'=>'tmp/'));
?>
